package org.mmga.clubs.entities.router;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

@Data
@AllArgsConstructor
@Schema(description = "路由节点")
public class Router {
    @Schema(description = "节点ID")
    private int id;
    @Schema(description = "节点名称")
    private String name;
    @Schema(description = "节点对应组件名称")
    private String component;
    @Schema(description = "节点的子节点")
    private List<Router> children;
}
