package org.mmga.clubs.configuration;

import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.info.Info;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class DocsConfiguration {
    @Bean
    public OpenAPI api(){
        return new OpenAPI().info(new Info()
                .title("ITZX-Clubs-Home")
                .description("杭州电子信息职业学校社团主页"));
    }
}
