package org.mmga.clubs.entities.user.change;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "用户修改密码请求体")
@Data
public final class UserChangePasswordVo {
    @Schema(description = "被修改的用户ID")
    private final int id;
    @Schema(description = "修改前的密码MD5值", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private String oldPassword;
    @Schema(description = "修改后的密码MD5值")
    private final String newPassword;
}
